Bug 18313 - Remove Delicious icon from OPAC social network links
Summary: Remove Delicious icon from OPAC social network links
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: isabel
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-03-21 15:20 UTC by Owen Leonard
Modified: 2018-06-04 20:15 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18313: remove delicious link on social networks (1.87 KB, patch)
2017-12-18 22:15 UTC, isabel
Details | Diff | Splinter Review
Bug 18313: remove delicious link on social networks (1.93 KB, patch)
2017-12-18 22:19 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 18313: remove delicious link on social networks (1.98 KB, patch)
2017-12-19 09:40 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-03-21 15:20:54 UTC
The Delicious web site doesn't seem to be doing anything but trying to sell things from their "shop" subdomain. The link on the OPAC detail page should be removed.

If anyone wants to write a configurable social network widget system for the OPAC that would be cool.
Comment 1 Katrin Fischer 2017-06-20 05:33:03 UTC
To get started here, turn on the SocialNetworks system preference.
Comment 2 isabel 2017-12-18 22:15:21 UTC
Created attachment 69864 [details] [review]
Bug 18313: remove delicious link on social networks

To test:
1/ enable social networkds systems preference
2/ look at any record on the OPAC, notice it has a link to delicious
3/ apply patch
4/ refersh page on OPAC, noitce delicious link has gone
Comment 3 Katrin Fischer 2017-12-18 22:19:03 UTC
Created attachment 69865 [details] [review]
Bug 18313: remove delicious link on social networks

To test:
1/ enable social networkds systems preference
2/ look at any record on the OPAC, notice it has a link to delicious
3/ apply patch
4/ refersh page on OPAC, noitce delicious link has gone

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2017-12-18 22:19:40 UTC
Hi Isabel, thx for your first patch!
Comment 5 Josef Moravec 2017-12-19 09:40:30 UTC
Created attachment 69899 [details] [review]
Bug 18313: remove delicious link on social networks

To test:
1/ enable social networkds systems preference
2/ look at any record on the OPAC, notice it has a link to delicious
3/ apply patch
4/ refersh page on OPAC, noitce delicious link has gone

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Jonathan Druart 2017-12-19 13:37:54 UTC
Isabel, you did not specify your lastname in the commit message, is it expected?
Comment 7 Chris Cormack 2017-12-19 19:36:23 UTC
It is Grubi, thanks Jonathan
Comment 8 Jonathan Druart 2017-12-20 16:45:30 UTC
Patch pushed to master for 18.05, congrats Isabel for your first patch in!